Skip to main content
Version: 3.0

Prerequisites

Installation Prerequisites

The minimum supported size for a Portworx cluster is three nodes. Each node must meet the following hardware, software, and network requirements:

Hardware
CPU4 cores minimum, 8 cores recommended
RAM4GB minimum, 8GB recommended
Disk
  • /var
  • /opt
  • 2GB free
  • 3GB free
Backing drive8GB (minimum required)
128 GB (minimum recommended)
Operating system root partition64 GB is the minimum required size for the root filesystem which contains the operating system
128 GB minimum recommended
Storage drivesStorage drives must be unmounted block storage: raw disks, drive partitions, LVM, or cloud block storage.
Network connectivityBandwidth:
  • 10 Gbps recommended
  • 1 Gbps minimum

Latency requirements for synchronous replication: less than 10ms between nodes in the cluster
Node typeBare metal and virtual machine (VM)
Network
Open needed portsPortworx requires different open ports depending on how it's installed:
  • Spec-based installations require all Portworx nodes to have open TCP ports at 9001-9022 and an open UDP port at 9002.
  • Portworx on OpenShift 4+ requires open TCP ports at 17001-17020 and an open UDP port at 17002.
  • Telemetry components require the following open ports: 9024, 12001, and 12002. If you are on Portworx version 2.13.7 and older, open port 9024 for telemetry. If you are on Portworx version 2.13.8 and newer, use port 9029 for telemetry. Ensure you are running Portworx Operator version 23.7.0 and higher to configure this port for Telemetry.
  • Portworx also requires an open KVDB port. For example, if you're using etcd externally, open port 2379.
  • If you intend to use Portworx with sharedv4 volumes, you may need to open your NFS ports.
Domain AllowlistingFor environments with locked down network connectivity, Portworx requires different domains to be allowlisted depending on how it's installed:
  • Telemetry requires the following domains to be allowlisted: pxessentials.portworx.com:443, register.cloud-support.purestorage.com:443, and rest.cloud-support.purestorage.com:443
Software
Linux kernel and distroKernel version 3.10 or greater.
To check if your Linux distro and kernel are supported, see Supported Kernels.
DockerVersion 1.13.1 or greater.
Key-value storePortworx needs a key-value store to perform its operations. As such, install a clustered key-value database (kvdb) with a three node cluster.

You can also use Internal KVDB during installation. In this mode, Portworx will create and manage an internal key-value store (KVDB) cluster.

If you plan of using your own KVDB, refer to KVDB for Portworx for details on recommendations for installing and configuring a KVDB cluster.
Disable swapPlease disable swap on all nodes that will run the Portworx software. Ensure that the swap device is not automatically mounted on server reboot.
Hypervisor
VMware vSphere
  • Version 7.0
  • Version 8.0

Supported Kubernetes versions

Before you install Portworx on Kubernetes, ensure that you're using a supported Kubernetes version:

Portworx Enterprise supported Kubernetes versions

note

K3s users: You must use CSI integration to generate/use PVCs.

TypeSupported Kubernetes Version
On-prem Kubernetes
  • 1.23
  • 1.24
  • 1.25
  • 1.26
  • 1.27
  • 1.28
Managed Kubernetes
  • GKE: 1.25.8, 1.26.2, 1.27.2, 1.28.1
  • AKS: 1.24.10, 1.25.6, 1.26.3, 1.27.1, 1.28.0
  • EKS: 1.23, 1.24, 1.25, 1.26, 1.27, 1.28
  • IKS: 1.24.10, 1.25.10, 1.26.5, 1.26.11, 1.27.2, 1.27.8, 1.28.2, 1.28.4
  • OKE: 1.22.5, 1.23.3, 1.24.1, 1.25.1, 1.27.2
Distribution KubernetesRed Hat OpenShift:
  • Openshift 4.10: Kubernetes version 1.23 (Openshift version verified up to 4.10.67)
  • Openshift 4.11: Kubernetes version 1.24 (Openshift version verified up to 4.11.50)
  • Openshift 4.12: Kubernetes version 1.25 (Openshift version verified up to 4.12.37)
  • Openshift 4.13: Kubernetes version 1.26 (Openshift version verified up to 4.13.15)
  • Openshift 4.14: Kubernetes version 1.27 (Openshift version verified up to 4.14.10)
Red Hat OpenShift on IBM Cloud:
  • ROKS 4.10: (Verified up to 4.10.61)
  • ROKS 4.11: (Verified up to 4.11.53)
  • ROKS 4.12: (Verified up to 4.12.44)
  • ROKS 4.13: (Verified up to 4.13.23)
NOTE: Supports both bare metal and VM.
vSphere with Tanzu (TKGs)
  • 1.22.9+vmware.1-tkg.1.cc71bc8
  • 1.23.8+vmware.3
Tanzu Kubernetes Grid Integrated (TKGI)
  • PKS version: 1.13.10-build.10; Kubernetes version: 1.22.16
  • PKS version: 1.14.6-build.12; Kubernetes version: 1.23.17
  • PKS version: 1.15.4-build.14; Kubernetes version: 1.24.13+vmware.1
  • PKS version: 1.16.0-build.57; Kubernetes version: 1.25.4
AnthosBare metal
  • Anthos version: 1.14; Kubernetes version: 1.25
  • Anthos versions: 1.15; Kubernetes version: 1.26
vSphere
  • Anthos version: 1.14; vSphere version: 7.0.3; Kubernetes version: 1.25.5-gke.100
  • Anthos versions: 1.15, vSphere version: 7.0.3; Kubernetes version: 1.26.2-gke.1001

Air-gapped prerequisites

If you intend to use the sharedv4 feature, your host systems must be running the NFS service. For more information on options for installing the NFS service, refer to the installation article for air-gapped clusters.

Installation

Whether you're using Portworx Enterprise or Essentials, you can install Portworx on the cloud or on-premises. Proceed to one of the following sections for Kubernetes and OpenShift install instructions.

For all other environments, continue to the following section:

Portworx on other orchestrators

Post-installation

If you have an existing Portworx cluster, continue to below sections for using and managing Portworx.

Was this page helpful?